Name:           autoinit
Version:        @@VERSION@@
Release:        1%{?dist}
Summary:        Minimal automotive initrd
URL:            https://gitlab.com/CentOS/automotive/src/autoinit
License:        LGPL-2.0-or-later
Source0:        autoinit-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  gcc
Requires:       ostree

%description
Minimal automotive initrd

%prep
%autosetup

%build
%meson
%meson_build

%check
%meson_test

%install
%meson_install

%files
%{_prefix}/lib/dracut/modules.d/50autoinit
%{_prefix}/lib/autoinit/autoinit

%changelog
* Tue Apr 23 2024 Brian Masney <bmasney@redhat.com> - 0.1.3
- Add more debug logging

* Thu Apr 18 2024 Alexander Larsson <alexl@redhat.com>
- Initial version
